# (필독) 수신 동의 상태 별 표기

### **채널 수신 동의 속성**

{% hint style="danger" %}
**필독 사항**

* 기본적으로 수신 동의 값이 true일 때 발송 가능하며, 발송 옵션에 따라 null을 포함하여 발송 가능합니다.
* 수신 동의 값이 false일 경우 발송이 불가합니다.
* *<mark style="color:red;background-color:yellow;">**수신 동의 값이 없을 경우(null) 메시지가 발송될 수 있으므로,**</mark>*\
  *<mark style="color:red;background-color:yellow;">**값(true 또는 false)을 디파이너리로 정확히 전달해주어야 합니다.**</mark>*
* 마케팅 수신 동의 여부 값은 API를 통해 최신화된 상태를 유지해주시기 바랍니다.
* 오프라인 데이터 연동 시에도 마케팅 수신 동의 값에 유의해주시기 바랍니다.
* 연동 시에도 관련 개발 문서를 반드시 참고하여 진행해주시기 바랍니다.\
  [<mark style="color:blue;">**- 알림 수신 동의 정보 설정하기(Android)**</mark>](https://docs.dfinery.ai/developer-guide/platform/android/user-profile#consent)\
  [<mark style="color:blue;">**- 알림 수신 동의 정보 설정하기(iOS)**</mark>](https://docs.dfinery.ai/developer-guide/platform/ios/user-profile#undefined-5)\
  [<mark style="color:blue;">**- 알림 수신 동의 정보 설정하기(Web)**</mark>](https://docs.dfinery.ai/developer-guide/platform/web/user_profile#consent)
  {% endhint %}

<table><thead><tr><th width="154">이벤트/속성명</th><th width="207">표기명</th><th width="114">데이터 타입</th><th>설명 </th></tr></thead><tbody><tr><td>df_push_ads_optin</td><td>푸시 수신 동의<br>(광고)</td><td>Boolean</td><td>유저가 애플리케이션 또는 웹사이트로부터 푸시 메세지의  광고성 알림 수신에 대한 동의 여부<br><br><mark style="background-color:yellow;"><strong>기본값 : null</strong></mark></td></tr><tr><td>df_sms_ads_optin</td><td>문자 수신 동의<br>(광고)</td><td>Boolean</td><td>유저가 SMS를 통한 광고성 알림 수신에 대한 동의 여부<br><br><mark style="background-color:yellow;"><strong>기본값 : null</strong></mark></td></tr><tr><td>df_kakao_ads_optin</td><td>카카오 수신 동의<br>(광고)</td><td>Boolean</td><td>유저가 카카오(Kakao) 메시징 서비스를 통한 광고성 알림 수신에 대한  동의 여부<br><br><mark style="background-color:yellow;"><strong>기본값 : null</strong></mark></td></tr><tr><td>df_push_night_ads_optin</td><td>야간 푸시 수신 동의<br>(광고)</td><td>Boolean</td><td>유저가 밤 시간에 푸시 메시지 형태의 광고성 알림을 받는 것에 동의 여부<br>(오후 9시 ~ 익일 오전 8시)<br><br><mark style="background-color:yellow;"><strong>기본값 : null</strong></mark></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dfinery.ai/user-guide/action/off-site-campaign/opt-state.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
